{% extends "layout.html" %}
{% block title %}{{ title }}{% endblock %}
{% block content %}

	<h1 class="text-center">{{ title }} - MIT42 DownloadLink</h1>
	{% if download_keys.total %}
		<div class="table-responsive ">
			<table class="table entry-link">
				<tr>
					<th>{{ _('Downloadkey') }}</th>
					<th>{{ _('Maxdownloads') }}</th>
					<th>{{ _('Downloads') }}</th>
					<th>{{ _('Download-Name') }}</th>
					<th>{{ _('Filename') }}</th>
					<th></th>
				</tr>
				{% for row in download_keys.items %}
					<tr>
						<td><a href="{{ host + 'key/' + row.download_key }}">{{ host + 'key/' + row.download_key }}</a></td>
						<td>{{ row.maxdownloads }}</td>
						<td>{{ row.downloads }}</td>
						<td>{{ row.file.downloadName }}</td>
						<td>{{ row.file.filename }}</td>

						<td>
							<a class="btn btn-sm btn-danger"
							   href="{{ url_for('key.delete_key', key_id=row.id) }}"
							   type="submit" name='action' title="{{ _('delete') }}">
								<span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
							</a>
						</td>
					</tr>
				{% endfor %}

			</table>
		</div>
	{% else %}
		<div class="container">
			<h2 class="text-danger text-center ">{{ _('unable to found free Unique IDs for the file') }}</h2>
		</div>
	{% endif %}
	<div class="text-right">
		{% if download_keys.has_prev %}
			<a href="{{ url_for('file.show_uploads', file_id=f_id, page=download_keys.prev_num) }}">
				&lt;&lt; {{ _('one page back') }}
			</a>|
		{% endif %}
		{% if download_keys.has_next %}
			<a href="{{ url_for('file.show_uploads', file_id=f_id, page=download_keys.next_num) }}">
				{{ _('next page') }} &gt;&gt;
			</a>
		{% endif %}
	</div>
	<div class="text-center">
		<br/>
		<a href="{{ url_for('file.management') }}">{{ _('Back') }}</a>
	</div>
{% endblock %}